Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Classification/3.4/ResourceClassificationDataDescriptor.cs
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Classification/3.4/ResourceClassificationDataDescriptor.cs	(revision 7682)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Classification/3.4/ResourceClassificationDataDescriptor.cs	(revision 7682)
@@ -0,0 +1,35 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+
+namespace HeuristicLab.Problems.Instances.Regression {
+  internal class ResourceClassificationDataDescriptor : IDataDescriptor {
+    public string Name { get; internal set; }
+    public string Description { get; internal set; }
+
+    internal string ResourceName { get; set; }
+    internal ResourceClassificationDataDescriptor(string name, string description, string resourceName) {
+      Name = name;
+      Description = description;
+      ResourceName = resourceName;
+    }
+  }
+}
Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Classification/3.4/ResourceClassificationInstanceProvider.cs
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Classification/3.4/ResourceClassificationInstanceProvider.cs	(revision 7682)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Classification/3.4/ResourceClassificationInstanceProvider.cs	(revision 7682)
@@ -0,0 +1,88 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.IO;
+using System.Linq;
+using System.Reflection;
+using System.Text.RegularExpressions;
+using ICSharpCode.SharpZipLib.Zip;
+
+namespace HeuristicLab.Problems.Instances.Regression {
+  public abstract class ResourceClassificationInstanceProvider : ClassificationInstanceProvider {
+
+    protected abstract string FileExtension { get; }
+
+    public override IEnumerable<IDataDescriptor> GetDataDescriptors() {
+      var solutionsArchiveName = GetResourceName(FileExtension + @"\.zip");
+      if (!String.IsNullOrEmpty(solutionsArchiveName)) {
+        using (var solutionsZipFile = new ZipInputStream(GetType().Assembly.GetManifestResourceStream(solutionsArchiveName))) {
+          foreach (var entry in GetZipContents(solutionsZipFile).OrderBy(x => x))
+            yield return new ResourceClassificationDataDescriptor(Path.GetFileNameWithoutExtension(entry), Description, entry);
+        }
+      }
+    }
+
+    public override ClassificationData LoadData(IDataDescriptor id) {
+      var descriptor = (ResourceClassificationDataDescriptor)id;
+
+      ClassificationData claData = LoadData(GetTempFileForResource(descriptor.ResourceName));
+      claData.Name = descriptor.Name;
+      claData.Description = descriptor.Description;
+
+      return claData;
+    }
+
+    protected virtual string GetResourceName(string fileName) {
+      return Assembly.GetExecutingAssembly().GetManifestResourceNames()
+              .Where(x => Regex.Match(x, @".*\.Data\." + fileName).Success).SingleOrDefault();
+    }
+
+    protected IEnumerable<string> GetZipContents(ZipInputStream zipFile) {
+      ZipEntry entry;
+      while ((entry = zipFile.GetNextEntry()) != null) {
+        yield return entry.Name;
+      }
+    }
+
+    private string GetTempFileForResource(string resourceName) {
+      var instanceArchiveName = GetResourceName(FileExtension + @"\.zip");
+      using (var instancesZipFile = new ZipFile(GetType().Assembly.GetManifestResourceStream(instanceArchiveName))) {
+        var entry = instancesZipFile.GetEntry(resourceName);
+        string path = Path.GetTempFileName();
+        using (var stream = instancesZipFile.GetInputStream(entry)) {
+          WriteStreamToTempFile(stream, path);
+        }
+        return path;
+      }
+    }
+
+    private void WriteStreamToTempFile(Stream stream, string path) {
+      using (FileStream output = new FileStream(path, FileMode.Create, FileAccess.Write)) {
+        int cnt = 0;
+        byte[] buffer = new byte[32 * 1024];
+        while ((cnt = stream.Read(buffer, 0, buffer.Length)) != 0)
+          output.Write(buffer, 0, cnt);
+      }
+    }
+  }
+}
Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/ArtificialRegressionDataDescriptor.cs
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/ArtificialRegressionDataDescriptor.cs	(revision 7681)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/ArtificialRegressionDataDescriptor.cs	(revision 7682)
@@ -20,5 +20,4 @@
 #endregion
 
-
 using System.Collections.Generic;
 namespace HeuristicLab.Problems.Instances.Regression {
@@ -28,6 +27,6 @@
 
     protected abstract string TargetVariable { get; }
-    protected abstract IEnumerable<string> InputVariables { get; }
-    protected abstract IEnumerable<string> AllowedInputVariables { get; }
+    protected abstract string[] InputVariables { get; }
+    protected abstract string[] AllowedInputVariables { get; }
     protected abstract int TrainingPartitionStart { get; }
     protected abstract int TrainingPartitionEnd { get; }
@@ -42,5 +41,5 @@
       regData.AllowedInputVariables = this.AllowedInputVariables;
       regData.TargetVariable = this.TargetVariable;
-      regData.Values = this.GenerateValues();
+      regData.Values = Transformer.Transformation(this.GenerateValues());
       regData.TrainingPartitionStart = this.TrainingPartitionStart;
       regData.TrainingPartitionEnd = this.TrainingPartitionEnd;
@@ -50,5 +49,5 @@
     }
 
-    protected abstract double[,] GenerateValues();
+    protected abstract List<List<double>> GenerateValues();
   }
 }
Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Keijzer/KeijzerFunctionEight.cs
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Keijzer/KeijzerFunctionEight.cs	(revision 7681)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Keijzer/KeijzerFunctionEight.cs	(revision 7682)
@@ -39,6 +39,6 @@
     }
     protected override string TargetVariable { get { return "F"; } }
-    protected override IEnumerable<string> InputVariables { get { return new List<string>() { "X", "F" }; } }
-    protected override IEnumerable<string> AllowedInputVariables { get { return new List<string>() { "X" }; } }
+    protected override string[] InputVariables { get { return new string[] { "X", "F" }; } }
+    protected override string[] AllowedInputVariables { get { return new string[] { "X" }; } }
     protected override int TrainingPartitionStart { get { return 0; } }
     protected override int TrainingPartitionEnd { get { return 100; } }
@@ -46,5 +46,5 @@
     protected override int TestPartitionEnd { get { return 1091; } }
 
-    protected override double[,] GenerateValues() {
+    protected override List<List<double>> GenerateValues() {
       List<List<double>> data = new List<List<double>>();
       data.Add(ValueGenerator.GenerateSteps(1, 100, 1));
@@ -59,5 +59,5 @@
       data.Add(results);
 
-      return ValueGenerator.Transformation(data);
+      return data;
     }
   }
Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Keijzer/KeijzerFunctionFifteen.cs
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Keijzer/KeijzerFunctionFifteen.cs	(revision 7681)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Keijzer/KeijzerFunctionFifteen.cs	(revision 7682)
@@ -41,6 +41,6 @@
     }
     protected override string TargetVariable { get { return "F"; } }
-    protected override IEnumerable<string> InputVariables { get { return new List<string>() { "X", "Y", "F" }; } }
-    protected override IEnumerable<string> AllowedInputVariables { get { return new List<string>() { "X", "Y" }; } }
+    protected override string[] InputVariables { get { return new string[] { "X", "Y", "F" }; } }
+    protected override string[] AllowedInputVariables { get { return new string[] { "X", "Y" }; } }
     protected override int TrainingPartitionStart { get { return 0; } }
     protected override int TrainingPartitionEnd { get { return 20; } }
@@ -48,5 +48,5 @@
     protected override int TestPartitionEnd { get { return 5000; } }
 
-    protected override double[,] GenerateValues() {
+    protected override List<List<double>> GenerateValues() {
       List<List<double>> data = new List<List<double>>();
       for (int i = 0; i < AllowedInputVariables.Count(); i++) {
@@ -63,5 +63,5 @@
       data.Add(results);
 
-      return ValueGenerator.Transformation(data);
+      return data;
     }
   }
Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Keijzer/KeijzerFunctionFour.cs
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Keijzer/KeijzerFunctionFour.cs	(revision 7681)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Keijzer/KeijzerFunctionFour.cs	(revision 7682)
@@ -38,6 +38,6 @@
     }
     protected override string TargetVariable { get { return "F"; } }
-    protected override IEnumerable<string> InputVariables { get { return new List<string>() { "X", "F" }; } }
-    protected override IEnumerable<string> AllowedInputVariables { get { return new List<string>() { "X" }; } }
+    protected override string[] InputVariables { get { return new string[] { "X", "F" }; } }
+    protected override string[] AllowedInputVariables { get { return new string[] { "X" }; } }
     protected override int TrainingPartitionStart { get { return 0; } }
     protected override int TrainingPartitionEnd { get { return 21; } }
@@ -45,5 +45,5 @@
     protected override int TestPartitionEnd { get { return 2022; } }
 
-    protected override double[,] GenerateValues() {
+    protected override List<List<double>> GenerateValues() {
       List<List<double>> data = new List<List<double>>();
       data.Add(ValueGenerator.GenerateSteps(-1, 1, 0.1));
@@ -58,5 +58,5 @@
       data.Add(results);
 
-      return ValueGenerator.Transformation(data);
+      return data;
     }
   }
Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Keijzer/KeijzerFunctionSeven.cs
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Keijzer/KeijzerFunctionSeven.cs	(revision 7681)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Keijzer/KeijzerFunctionSeven.cs	(revision 7682)
@@ -39,6 +39,6 @@
     }
     protected override string TargetVariable { get { return "F"; } }
-    protected override IEnumerable<string> InputVariables { get { return new List<string>() { "X", "F" }; } }
-    protected override IEnumerable<string> AllowedInputVariables { get { return new List<string>() { "X" }; } }
+    protected override string[] InputVariables { get { return new string[] { "X", "F" }; } }
+    protected override string[] AllowedInputVariables { get { return new string[] { "X" }; } }
     protected override int TrainingPartitionStart { get { return 0; } }
     protected override int TrainingPartitionEnd { get { return 50; } }
@@ -46,5 +46,5 @@
     protected override int TestPartitionEnd { get { return 170; } }
 
-    protected override double[,] GenerateValues() {
+    protected override List<List<double>> GenerateValues() {
       List<List<double>> data = new List<List<double>>();
       data.Add(ValueGenerator.GenerateSteps(1, 50, 1));
@@ -59,5 +59,5 @@
       data.Add(results);
 
-      return ValueGenerator.Transformation(data);
+      return data;
     }
   }
Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Keijzer/KeijzerFunctionSix.cs
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Keijzer/KeijzerFunctionSix.cs	(revision 7681)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Keijzer/KeijzerFunctionSix.cs	(revision 7682)
@@ -38,6 +38,6 @@
     }
     protected override string TargetVariable { get { return "F"; } }
-    protected override IEnumerable<string> InputVariables { get { return new List<string>() { "X", "Y", "Z", "F" }; } }
-    protected override IEnumerable<string> AllowedInputVariables { get { return new List<string>() { "X", "Y", "Z" }; } }
+    protected override string[] InputVariables { get { return new string[] { "X", "Y", "Z", "F" }; } }
+    protected override string[] AllowedInputVariables { get { return new string[] { "X", "Y", "Z" }; } }
     protected override int TrainingPartitionStart { get { return 0; } }
     protected override int TrainingPartitionEnd { get { return 1000; } }
@@ -45,5 +45,5 @@
     protected override int TestPartitionEnd { get { return 11000; } }
 
-    protected override double[,] GenerateValues() {
+    protected override List<List<double>> GenerateValues() {
       List<List<double>> data = new List<List<double>>();
       data.Add(ValueGenerator.GenerateUniformDistributedValues(TestPartitionEnd, -1, 1));
@@ -61,5 +61,5 @@
       data.Add(results);
 
-      return ValueGenerator.Transformation(data);
+      return data;
     }
   }
Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Keijzer/KeijzerFunctionSixteen.cs
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Keijzer/KeijzerFunctionSixteen.cs	(revision 7681)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Keijzer/KeijzerFunctionSixteen.cs	(revision 7682)
@@ -41,6 +41,6 @@
     }
     protected override string TargetVariable { get { return "F"; } }
-    protected override IEnumerable<string> InputVariables { get { return new List<string>() { "X", "Y", "F" }; } }
-    protected override IEnumerable<string> AllowedInputVariables { get { return new List<string>() { "X", "Y" }; } }
+    protected override string[] InputVariables { get { return new string[] { "X", "Y", "F" }; } }
+    protected override string[] AllowedInputVariables { get { return new string[] { "X", "Y" }; } }
     protected override int TrainingPartitionStart { get { return 0; } }
     protected override int TrainingPartitionEnd { get { return 20; } }
@@ -48,5 +48,5 @@
     protected override int TestPartitionEnd { get { return 5000; } }
 
-    protected override double[,] GenerateValues() {
+    protected override List<List<double>> GenerateValues() {
       List<List<double>> data = new List<List<double>>();
       for (int i = 0; i < AllowedInputVariables.Count(); i++) {
@@ -63,5 +63,5 @@
       data.Add(results);
 
-      return ValueGenerator.Transformation(data);
+      return data;
     }
   }
Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Keijzer/KeijzerFunctionThirteen.cs
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Keijzer/KeijzerFunctionThirteen.cs	(revision 7681)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Keijzer/KeijzerFunctionThirteen.cs	(revision 7682)
@@ -41,6 +41,6 @@
     }
     protected override string TargetVariable { get { return "F"; } }
-    protected override IEnumerable<string> InputVariables { get { return new List<string>() { "X", "Y", "F" }; } }
-    protected override IEnumerable<string> AllowedInputVariables { get { return new List<string>() { "X", "Y" }; } }
+    protected override string[] InputVariables { get { return new string[] { "X", "Y", "F" }; } }
+    protected override string[] AllowedInputVariables { get { return new string[] { "X", "Y" }; } }
     protected override int TrainingPartitionStart { get { return 0; } }
     protected override int TrainingPartitionEnd { get { return 20; } }
@@ -48,5 +48,5 @@
     protected override int TestPartitionEnd { get { return 5000; } }
 
-    protected override double[,] GenerateValues() {
+    protected override List<List<double>> GenerateValues() {
       List<List<double>> data = new List<List<double>>();
       for (int i = 0; i < AllowedInputVariables.Count(); i++) {
@@ -63,5 +63,5 @@
       data.Add(results);
 
-      return ValueGenerator.Transformation(data);
+      return data;
     }
   }
Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Keijzer/KeijzerFunctionTwelve.cs
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Keijzer/KeijzerFunctionTwelve.cs	(revision 7681)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Keijzer/KeijzerFunctionTwelve.cs	(revision 7682)
@@ -41,6 +41,6 @@
     }
     protected override string TargetVariable { get { return "F"; } }
-    protected override IEnumerable<string> InputVariables { get { return new List<string>() { "X", "Y", "F" }; } }
-    protected override IEnumerable<string> AllowedInputVariables { get { return new List<string>() { "X", "Y" }; } }
+    protected override string[] InputVariables { get { return new string[] { "X", "Y", "F" }; } }
+    protected override string[] AllowedInputVariables { get { return new string[] { "X", "Y" }; } }
     protected override int TrainingPartitionStart { get { return 0; } }
     protected override int TrainingPartitionEnd { get { return 20; } }
@@ -48,5 +48,5 @@
     protected override int TestPartitionEnd { get { return 5000; } }
 
-    protected override double[,] GenerateValues() {
+    protected override List<List<double>> GenerateValues() {
       List<List<double>> data = new List<List<double>>();
       for (int i = 0; i < AllowedInputVariables.Count(); i++) {
@@ -63,5 +63,5 @@
       data.Add(results);
 
-      return ValueGenerator.Transformation(data);
+      return data;
     }
   }
Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Korns/KornsFunctionEight.cs
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Korns/KornsFunctionEight.cs	(revision 7681)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Korns/KornsFunctionEight.cs	(revision 7682)
@@ -45,6 +45,6 @@
     }
     protected override string TargetVariable { get { return "Y"; } }
-    protected override IEnumerable<string> InputVariables { get { return new List<string>() { "X0", "X1", "X2", "X3", "X4", "Y" }; } }
-    protected override IEnumerable<string> AllowedInputVariables { get { return new List<string>() { "X0", "X1", "X2", "X3", "X4" }; } }
+    protected override string[] InputVariables { get { return new string[] { "X0", "X1", "X2", "X3", "X4", "Y" }; } }
+    protected override string[] AllowedInputVariables { get { return new string[] { "X0", "X1", "X2", "X3", "X4" }; } }
     protected override int TrainingPartitionStart { get { return 0; } }
     protected override int TrainingPartitionEnd { get { return 5000; } }
@@ -52,5 +52,5 @@
     protected override int TestPartitionEnd { get { return 10000; } }
 
-    protected override double[,] GenerateValues() {
+    protected override List<List<double>> GenerateValues() {
       List<List<double>> data = new List<List<double>>();
       for (int i = 0; i < AllowedInputVariables.Count(); i++) {
@@ -68,5 +68,5 @@
       data.Add(results);
 
-      return ValueGenerator.Transformation(data);
+      return data;
     }
   }
Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Korns/KornsFunctionEleven.cs
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Korns/KornsFunctionEleven.cs	(revision 7681)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Korns/KornsFunctionEleven.cs	(revision 7682)
@@ -44,6 +44,6 @@
     }
     protected override string TargetVariable { get { return "Y"; } }
-    protected override IEnumerable<string> InputVariables { get { return new List<string>() { "X0", "X1", "X2", "X3", "X4", "Y" }; } }
-    protected override IEnumerable<string> AllowedInputVariables { get { return new List<string>() { "X0", "X1", "X2", "X3", "X4" }; } }
+    protected override string[] InputVariables { get { return new string[] { "X0", "X1", "X2", "X3", "X4", "Y" }; } }
+    protected override string[] AllowedInputVariables { get { return new string[] { "X0", "X1", "X2", "X3", "X4" }; } }
     protected override int TrainingPartitionStart { get { return 0; } }
     protected override int TrainingPartitionEnd { get { return 5000; } }
@@ -51,5 +51,5 @@
     protected override int TestPartitionEnd { get { return 10000; } }
 
-    protected override double[,] GenerateValues() {
+    protected override List<List<double>> GenerateValues() {
       List<List<double>> data = new List<List<double>>();
       for (int i = 0; i < AllowedInputVariables.Count(); i++) {
@@ -65,5 +65,5 @@
       data.Add(results);
 
-      return ValueGenerator.Transformation(data);
+      return data;
     }
   }
Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Korns/KornsFunctionFive.cs
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Korns/KornsFunctionFive.cs	(revision 7681)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Korns/KornsFunctionFive.cs	(revision 7682)
@@ -45,6 +45,6 @@
     }
     protected override string TargetVariable { get { return "Y"; } }
-    protected override IEnumerable<string> InputVariables { get { return new List<string>() { "X0", "X1", "X2", "X3", "X4", "Y" }; } }
-    protected override IEnumerable<string> AllowedInputVariables { get { return new List<string>() { "X0", "X1", "X2", "X3", "X4" }; } }
+    protected override string[] InputVariables { get { return new string[] { "X0", "X1", "X2", "X3", "X4", "Y" }; } }
+    protected override string[] AllowedInputVariables { get { return new string[] { "X0", "X1", "X2", "X3", "X4" }; } }
     protected override int TrainingPartitionStart { get { return 0; } }
     protected override int TrainingPartitionEnd { get { return 5000; } }
@@ -52,5 +52,5 @@
     protected override int TestPartitionEnd { get { return 10000; } }
 
-    protected override double[,] GenerateValues() {
+    protected override List<List<double>> GenerateValues() {
       List<List<double>> data = new List<List<double>>();
       for (int i = 0; i < AllowedInputVariables.Count(); i++) {
@@ -66,5 +66,5 @@
       data.Add(results);
 
-      return ValueGenerator.Transformation(data);
+      return data;
     }
   }
Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Korns/KornsFunctionFiveteen.cs
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Korns/KornsFunctionFiveteen.cs	(revision 7681)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Korns/KornsFunctionFiveteen.cs	(revision 7682)
@@ -45,6 +45,6 @@
     }
     protected override string TargetVariable { get { return "Y"; } }
-    protected override IEnumerable<string> InputVariables { get { return new List<string>() { "X0", "X1", "X2", "X3", "X4", "Y" }; } }
-    protected override IEnumerable<string> AllowedInputVariables { get { return new List<string>() { "X0", "X1", "X2", "X3", "X4" }; } }
+    protected override string[] InputVariables { get { return new string[] { "X0", "X1", "X2", "X3", "X4", "Y" }; } }
+    protected override string[] AllowedInputVariables { get { return new string[] { "X0", "X1", "X2", "X3", "X4" }; } }
     protected override int TrainingPartitionStart { get { return 0; } }
     protected override int TrainingPartitionEnd { get { return 5000; } }
@@ -52,5 +52,5 @@
     protected override int TestPartitionEnd { get { return 10000; } }
 
-    protected override double[,] GenerateValues() {
+    protected override List<List<double>> GenerateValues() {
       List<List<double>> data = new List<List<double>>();
       for (int i = 0; i < AllowedInputVariables.Count(); i++) {
@@ -69,5 +69,5 @@
       data.Add(results);
 
-      return ValueGenerator.Transformation(data);
+      return data;
     }
   }
Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Korns/KornsFunctionFour.cs
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Korns/KornsFunctionFour.cs	(revision 7681)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Korns/KornsFunctionFour.cs	(revision 7682)
@@ -44,6 +44,6 @@
     }
     protected override string TargetVariable { get { return "Y"; } }
-    protected override IEnumerable<string> InputVariables { get { return new List<string>() { "X0", "X1", "X2", "X3", "X4", "Y" }; } }
-    protected override IEnumerable<string> AllowedInputVariables { get { return new List<string>() { "X0", "X1", "X2", "X3", "X4" }; } }
+    protected override string[] InputVariables { get { return new string[] { "X0", "X1", "X2", "X3", "X4", "Y" }; } }
+    protected override string[] AllowedInputVariables { get { return new string[] { "X0", "X1", "X2", "X3", "X4" }; } }
     protected override int TrainingPartitionStart { get { return 0; } }
     protected override int TrainingPartitionEnd { get { return 5000; } }
@@ -51,5 +51,5 @@
     protected override int TestPartitionEnd { get { return 10000; } }
 
-    protected override double[,] GenerateValues() {
+    protected override List<List<double>> GenerateValues() {
       List<List<double>> data = new List<List<double>>();
       for (int i = 0; i < AllowedInputVariables.Count(); i++) {
@@ -65,5 +65,5 @@
       data.Add(results);
 
-      return ValueGenerator.Transformation(data);
+      return data;
     }
   }
Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Korns/KornsFunctionFourteen.cs
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Korns/KornsFunctionFourteen.cs	(revision 7681)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Korns/KornsFunctionFourteen.cs	(revision 7682)
@@ -44,6 +44,6 @@
     }
     protected override string TargetVariable { get { return "Y"; } }
-    protected override IEnumerable<string> InputVariables { get { return new List<string>() { "X0", "X1", "X2", "X3", "X4", "Y" }; } }
-    protected override IEnumerable<string> AllowedInputVariables { get { return new List<string>() { "X0", "X1", "X2", "X3", "X4" }; } }
+    protected override string[] InputVariables { get { return new string[] { "X0", "X1", "X2", "X3", "X4", "Y" }; } }
+    protected override string[] AllowedInputVariables { get { return new string[] { "X0", "X1", "X2", "X3", "X4" }; } }
     protected override int TrainingPartitionStart { get { return 0; } }
     protected override int TrainingPartitionEnd { get { return 5000; } }
@@ -51,5 +51,5 @@
     protected override int TestPartitionEnd { get { return 10000; } }
 
-    protected override double[,] GenerateValues() {
+    protected override List<List<double>> GenerateValues() {
       List<List<double>> data = new List<List<double>>();
       for (int i = 0; i < AllowedInputVariables.Count(); i++) {
@@ -68,5 +68,5 @@
       data.Add(results);
 
-      return ValueGenerator.Transformation(data);
+      return data;
     }
   }
